| OrbbecSDK 1.5.7 OrbbecSDK: Software-Development-Kit for Orbbec 3D-Sensor devices

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ob::PointCloudFilter Class Reference

`#include <Filter.hpp>`

Inheritance diagram for ob::PointCloudFilter:

## Public Member Functions
| PointCloudFilter ()
void | setCreatePointFormat (OBFormat type)
| Set point cloud type parameters. More...
void | setCameraParam (OBCameraParam param)
| Set camera parameters. More...
void | setFrameAlignState (bool state)
| Set the frame alignment state that will be input to generate point cloud (it needs to be enabled in D2C mode, as the basis for the algorithm to select the set of camera internal parameters) More...
void | setPositionDataScaled (float scale)
| Set the point cloud coordinate data zoom factor. More...
void | setColorDataNormalization (bool state)
| Set point cloud color data normalization. More...
Public Member Functions inherited from ob::Filter
| Filter ()
virtual | ~Filter ()=default
virtual void | reset ()
| filter reset, free the internal cache, stop the processing thread and clear the pending buffer frame when asynchronous processing More...
virtual std::shared_ptr< Frame > | process (std::shared_ptr< Frame > frame)
| Processing frames (synchronous interface) More...
virtual void | pushFrame (std::shared_ptr< Frame > frame)
| Push the pending frame into the cache (asynchronous callback interface) More...
virtual void | setCallBack (FilterCallback callback)
| Set the callback function (asynchronous callback interface) More...

## Additional Inherited Members
Protected Attributes inherited from ob::Filter
std::shared_ptr< FilterImpl > | impl_

## Detailed Description

Definition at line 82 of file Filter.hpp.

## Constructor & Destructor Documentation

ob::PointCloudFilter::PointCloudFilter | ( |  | ) |

## Member Function Documentation

void ob::PointCloudFilter::setCreatePointFormat | ( | OBFormat | type | ) |

Set point cloud type parameters.

Parameters

  type | Point cloud type depth point cloud or RGBD point cloud

void ob::PointCloudFilter::setCameraParam | ( | OBCameraParam | param | ) |

Set camera parameters.

Parameters

  param | Camera internal and external parameters

void ob::PointCloudFilter::setFrameAlignState | ( | bool | state | ) |

Set the frame alignment state that will be input to generate point cloud (it needs to be enabled in D2C mode, as the basis for the algorithm to select the set of camera internal parameters)

Parameters

  state | Alignment status, True: enable alignment; False: disable alignment

void ob::PointCloudFilter::setPositionDataScaled | ( | float | scale | ) |

Set the point cloud coordinate data zoom factor.

Attention
  Calling this function to set the scale will change the point coordinate scaling factor of the output point cloud frame: posScale = posScale / scale.The point coordinate scaling factor for the output point cloud frame can be obtained via PointsFrame::getPositionValueScale function

Parameters

  scale | Zoom factor

void ob::PointCloudFilter::setColorDataNormalization | ( | bool | state | ) |

Set point cloud color data normalization.

Parameters

  state | Whether normalization is required

The documentation for this class was generated from the following file:

- /root/libobsensor/include/libobsensor/hpp/Filter.hpp